#!/usr/bin/env python
# -*- coding: iso-8859-15 -*-
# cptest.py

import os
import cherrypy
from Cheetah.Template import Template

APPDIR = os.path.dirname(os.path.abspath(__file__))
INI_FILENAME = os.path.join(APPDIR, "cptest.ini")


class Root(object):
    
    def index(self):
        filename = os.path.join(APPDIR, "index.tmpl")
        template = Template(file = filename)
        
        template.title = "Die Indexseite (CherryPy)"
        template.content = (
            "Dieser Text befindet sich auf der Indexseite.\n"
            "Dieser Text wurde von CherryPy ersetzt."
        )
        
        return str(template)
    
    index.exposed = True


def main():
    cherrypy.quickstart(Root(), config = INI_FILENAME)


if __name__ == "__main__":
    main()
